Bug 104841 - ODF export to PDF, linked video is not handled
Summary: ODF export to PDF, linked video is not handled
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-21 15:42 UTC by Miklos Vajna
Modified: 2017-01-04 08:17 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Rerproducer document. (20.00 KB, application/vnd.oasis.opendocument.presentation)
2016-12-21 15:42 UTC, Miklos Vajna
Details
Small video sample. (184.91 KB, video/mp4)
2016-12-21 15:44 UTC, Miklos Vajna
Details
Minimal PDF (7.00 KB, application/pdf)
2016-12-21 15:46 UTC, Miklos Vajna
Details
Writer reproducer. (18.10 KB, application/vnd.oasis.opendocument.text)
2017-01-03 11:16 UTC, Miklos Vajna
Details
Multi-page Writer reproducer. (8.24 KB, application/vnd.oasis.opendocument.text)
2017-01-03 14:20 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2016-12-21 15:42:31 UTC
Created attachment 129846 [details]
Rerproducer document.

Both ODF and PDF supports video content, but so far our PDF export doesn't handle that.

For the scope of this bug, let's assume that an ODP document has a linked video, where the source is some HTTP URL. Exporting that to PDF is possible, though it's not implemented in current master.

I'll attach a small video, an ODP file and a manually created PDF; I plan to actually make the PDF export create something like that out of the box.

The small video is only interesting if the external URL would be unavailable in the future.
Comment 1 Miklos Vajna 2016-12-21 15:44:35 UTC
Created attachment 129847 [details]
Small video sample.

This is the same as the one linked in the bugdoc. It's <200k and is a 3sec video sample, but in a format that's valid in ODF/PDF as-is, so the pdf export doesn't have to do any video/audio decoding/encoding.
Comment 2 Miklos Vajna 2016-12-21 15:46:01 UTC
Created attachment 129848 [details]
Minimal PDF

Minimal manually constructed PDF, run it through 'pdftk in.pdf output out.pdf' to add the somewhat redundant, but needed file offsets at the end of the file.
Comment 3 Commit Notification 2017-01-02 17:43:33 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9d6a749bc664f1876c938afb9eba4adc9f6ee09a

tdf#104841 sd PDF export: handle linked videos

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Miklos Vajna 2017-01-03 11:16:16 UTC
Created attachment 130108 [details]
Writer reproducer.

Writer equivalent of the Impress bugdoc, that one doesn't work ATM.
Comment 5 Commit Notification 2017-01-03 13:26:34 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=81aef113056270ce65f9dee5fe31b6f60617973c

Related: tdf#104841 sw PDF export: handle linked videos

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Miklos Vajna 2017-01-03 14:20:17 UTC
Created attachment 130109 [details]
Multi-page Writer reproducer.

If the media shape is not on the first page, we still have problems.
Comment 7 Commit Notification 2017-01-04 08:17:00 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0e71075bb7379af318482bb3abbb630c58db9ec9

Related: tdf#104841 sw PDF export: handle linked videos on non-first pages

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.